Bug 522284 - radeonhd Driver Fails to Load: undefined symbol: resVgaShared
Summary: radeonhd Driver Fails to Load: undefined symbol: resVgaShared
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-radeonhd
Version: rawhide
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Hans Ulrich Niedermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-10 00:28 UTC by Devan Goodwin
Modified: 2009-09-26 16:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-21 21:04:34 UTC


Attachments (Terms of Use)
xorg.conf, logfiles, and smolt info. (4.58 KB, application/octet-stream)
2009-09-10 00:30 UTC, Devan Goodwin
no flags Details

Description Devan Goodwin 2009-09-10 00:28:14 UTC
Description of problem:

Unable to start X with radeonhd driver enabled.

Version-Release number of selected component (if applicable):

xorg-x11-drv-radeonhd-1.2.5-2.10.20090714git.fc12.x86_64

xorg-x11-server-common-1.6.99.900-1.fc12.x86_64

How reproducible:

100%

Steps to Reproduce:
1. Generated xorg.conf with system-config-display --noui.
2. Edit only driver to replace "radeon" with "radeonhd".
3. Start gdm.
  
Actual results:

Gdm dies, xorg log indicates:

(II) Loading extension DRI2
(II) LoadModule: "radeonhd"
(II) Loading /usr/lib64/xorg/modules/drivers/radeonhd_drv.so
dlopen: /usr/lib64/xorg/modules/drivers/radeonhd_drv.so: undefined symbol: resVgaShared
(EE) Failed to load /usr/lib64/xorg/modules/drivers/radeonhd_drv.so
(II) UnloadModule: "radeonhd"
(EE) Failed to load module "radeonhd" (loader failed, 7)
(EE) No drivers available.


Additional info:

With attach tgz with xorg.conf, various logfiles, and smolt profile.

Comment 1 Devan Goodwin 2009-09-10 00:30:42 UTC
Created attachment 360384 [details]
xorg.conf, logfiles, and smolt info.

Comment 2 matti aarnio 2009-09-16 18:16:22 UTC
The radeonhd driver has not been updated for a while, while
the  xorg-x11-server-common-1.6.99.901-1.fc12.x86_64  has updated.

Comment 3 Hans Ulrich Niedermann 2009-09-21 21:04:34 UTC
This should be fixed by

    xorg-x11-drv-radeonhd-1.2.5-3.14.20090918git.fc12
    http://koji.fedoraproject.org/koji/taskinfo?taskID=1690387

If not, please reopen this bug.

Comment 4 Devan Goodwin 2009-09-26 15:42:12 UTC
Indeed it is fixed. Thanks.

Comment 5 Hans Ulrich Niedermann 2009-09-26 16:35:30 UTC
Great, thanks for reporting back.


Note You need to log in before you can comment on or make changes to this bug.